Groovy Documentation

## grails.test
[Java] Class GrailsAwareGroovyTestSuite

    java.lang.Object
      groovy.util.GroovyTestSuite
          grails.test.GrailsAwareGroovyTestSuite

    public class GrailsAwareGroovyTestSuite
    extends GroovyTestSuite

Adds support for running Grails JUnit Tests from Eclipse JUnit runner or even from the command line. Set GRAILS_HOME environment variable before running the test. Change the working directory to the Grails application's root directory. There are several extension points (protected template methods customize*) for customizing behaviour in a subclass. You will have to copy&paste the suite() and main() methods to the subclass because they are static methods Contributed by Lari Hotari

Authors:
  Graeme Rocher
  Lari Hotari

Since:
  1.1

Field Summary
`protected boolean` | `registerContextClassLoader`

Constructor Summary
`GrailsAwareGroovyTestSuite()` Constructor.

Method Summary
`java.lang.Class` | `compile(java.lang.String fileName)`
`protected void` | `customizeBuildSettings(BuildSettings settings)`
`protected void` | `customizeClassInjectors(java.util.List classInjectors)`
`protected void` | `customizeClassLoader(GrailsAwareClassLoader classLoader)`
`protected void` | `customizeGrailsResources(java.util.List grailsResources)`
`protected java.io.File` | `findBaseDir()`
`protected java.io.File` | `findGrailsHome()`
`static void` | `main(String[] args)`
`static Test` | `suite()`

Field Detail

### registerContextClassLoader

    protected boolean registerContextClassLoader

Constructor Detail

### GrailsAwareGroovyTestSuite

    public GrailsAwareGroovyTestSuite()

  Constructor.

Method Detail

### compile

    @Override
    public java.lang.Class compile(java.lang.String fileName)

### customizeBuildSettings

    protected void customizeBuildSettings(@SuppressWarnings("unused") BuildSettings settings)

### customizeClassInjectors

    protected void customizeClassInjectors(@SuppressWarnings("unused") java.util.List classInjectors)

### customizeClassLoader

    protected void customizeClassLoader(@SuppressWarnings("unused") GrailsAwareClassLoader classLoader)

### customizeGrailsResources

    protected void customizeGrailsResources(@SuppressWarnings("unused") java.util.List grailsResources)

### findBaseDir

    protected java.io.File findBaseDir()

### findGrailsHome

    protected java.io.File findGrailsHome()

### main

    public static void main(String[] args)

### suite

    public static Test suite()

Groovy Documentation